Whay can't install pyttsx3 in pydroid3 | Sololearn: Learn to code for FREE!

+4

Whay can't install pyttsx3 in pydroid3

We can't install pyttsx3. Wrong this library in pydroid3 🥺how to solved this problem

9/15/2021 2:53:51 AM

Nyracs

23 Answers

New Answer

+4

Cyborg 👁️ Actually, Pyttsx3 Uses Your Device Machine Learning to Give Out Speech. Pydroid Itself Doesn't Support it! So, You Have to Install A Plugin Provided By Them to Make It Work... As That Plugin Will Ask Root Permissions like: To Access Internal Machine Learning Files, Etc... This might Work...

+2

Hacker-KR4636

+2

Sancho Godinho [DM Free]

+2

AKSHAY🇮🇳 To Get List Of All Modules, You Can Use: pip freeze in pydroid terminal...

+2

Kaushal Varma , Diyorbek Maxmudov Please Give Proper Answers!!!

+1

https://www.sololearn.com/post/1284987/?ref=app

+1

Cyborg 👁️ Also, Don't Forget to Install That Python Lib Using PIP After You're Done Installing That Plugin... $ pip install pyttsx3 (Remove that $ Sign in Your Terminal...)

+1

Does pydroid shows a list of installed modules/libraries?

+1

Sancho Godinho [DM Free] I don't want to see my list 😑 i already know this. I am asking to cyborg to see the list and verify

+1

Cyborg 👁️ can you share some last line of errors. (Full error doesn't fit in the Sololearn letter limit)

+1

AKSHAY🇮🇳 I Didn't Understand 🤔🤔🤔

+1

Balthazar MAALIOUN Please Give Your Opinion Properly to This Discuss...

0

According to the error message it is already installed.

0

Simon Sauter import pyttsx3 a=pyttsx3.init() a.say('Im shanto') a.runAndWait()

0

Not working this code 🥺Simon Sauter

0

What error message do you get when you run that code?

0

Simon Sauter Traceback (most recent call last): File "/data/user/0/ru.iiec.pydroid3/files/aarch64-linux-android/lib/python3.8/site-packages/pyttsx3/__init__.py", line 20, in init eng = _activeEngines[driverName] File "/data/user/0/ru.iiec.pydroid3/files/aarch64-linux-android/lib/python3.8/weakref.py", line 131, in __getitem__ o = self.data[key]() KeyError: None During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/data/user/0/ru.iiec.pydroid3/files/accomp_files/iiec_run/iiec_run.py", line 31, in <module> start(fakepyfile,mainpyfile) File "/data/user/0/ru.iiec.pydroid3/files/accomp_files/iiec_run/iiec_run.py", line 30, in start exec(open(mainpyfile).read(), __main__.__dict__) File "<string>", line 2, in <module> File "/data/user/0/ru.iiec.pydroid3/files/aarch64-linux-android/lib/python3.8/site-packages/pyttsx3/__init__.py", line 22, in init eng = Engine(driverName, debug) File "/data/user/0/ru.iiec.pydroid3/files/aarc

0

I'm sorry I can't help there, because I don't know that particular module. But what is clear from that error message is that the module is indeed installed and available.

0

Illuminati_ Programmer Martin Schönbichler Elijah Tapabrata Banerjee

0

https://www.sololearn.com/post/1284987/?ref=app Cyborg 👁️ according to that👆 image, it was successfully installed. But if it wasn't installed, it is a common Pydroid error to have problems installing and using libraries that need application-level permissions, or that need to make use of the speakers (as is the case with tts), microphone, etc. Try importing and using the library, and check if you get an error